httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Richard <lists-apa...@listmail.innovate.net>
Subject Re: [users@httpd] Apache 2.4 SSI
Date Mon, 06 Apr 2015 14:49:30 GMT


------------ Original Message ------------
> Date: Sunday, April 05, 2015 19:39:06 -0400
> From: Stormy <stormy22@stormy.ca>
>
> Looking for help with SSI. We have a production boxes using
> Apache/2.2.22 on Ubuntu 12.04 LTS that renders (thousands of)
> pages like:
> 
> <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
> <?php include '/inc/header.inc';?>
> 
> which I'm trying to migrate to Apache/2.4.7 on Ubuntu 14.04 LTS.
> 
> After several hours of googling/reading/trying, these pages only
> render (perfectly) by using:
> 
> <!--#include virtual="/inc/header.inc" -->
> 
> yet other <?php expressions such as <?php phpinfo(); ?> work
> flawlessly.
> 
> There's got to be something simple that I haven't cottoned onto...
> (logs show no errors)
> 
> Using (per virtual host) a directory:
> <Directory /var/www/andequip>
>          XBitHack on
>          Options Indexes FollowSymLinks MultiViews Includes
>          AllowOverride None
>          Require all granted
>          AddType text/html .inc .html
>          AddOutputFilter INCLUDES .inc .html
> </Directory>
> 
> Relevant(?) mods include cgid, fcgid, include, mpm-prefork and php5
> 
> Thanks for any thoughts, pointers, etc
> 
> Best - Paul
> 
> 

This looks much more like a php, than apache, configuration issue.
I'm going to guess that your php was updated when you did the OS and
apache update. If so, compare the old production php.ini with the
new one, including for things like the "include_path".




---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message